
module "apigateway-v2" {
  source = "terraform-aws-modules/apigateway-v2/aws"
  version = "5.0.0"
  api_key_selection_expression = var.api_key_selection_expression
  api_mapping_key = var.api_mapping_key
  api_version = var.api_version
  authorizers = var.authorizers
  body = var.body
  cors_configuration = var.cors_configuration
  create = var.create
  create_certificate = var.create_certificate
  create_domain_name = var.create_domain_name
  create_domain_records = var.create_domain_records
  create_routes_and_integrations = var.create_routes_and_integrations
  create_stage = var.create_stage
  credentials_arn = var.credentials_arn
  deploy_stage = var.deploy_stage
  description = var.description
  disable_execute_api_endpoint = var.disable_execute_api_endpoint
  domain_name = var.domain_name
  domain_name_certificate_arn = var.domain_name_certificate_arn
  domain_name_ownership_verification_certificate_arn = var.domain_name_ownership_verification_certificate_arn
  fail_on_warnings = var.fail_on_warnings
  mutual_tls_authentication = var.mutual_tls_authentication
  name = var.name
  protocol_type = var.protocol_type
  route_key = var.route_key
  route_selection_expression = var.route_selection_expression
  routes = var.routes
  stage_access_log_settings = var.stage_access_log_settings
  stage_client_certificate_id = var.stage_client_certificate_id
  stage_default_route_settings = var.stage_default_route_settings
  stage_description = var.stage_description
  stage_name = var.stage_name
  stage_tags = var.stage_tags
  stage_variables = var.stage_variables
  subdomain_record_types = var.subdomain_record_types
  subdomains = var.subdomains
  tags = var.tags
  target = var.target
  vpc_link_tags = var.vpc_link_tags
  vpc_links = var.vpc_links
}
